Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysql++.h File Reference

The main MySQL++ header file. More...

`#include "connection.h"`
`#include "query.h"`
`#include "compare.h"`

Include dependency graph for mysql++.h:

Go to the source code of this file.

## Detailed Description

The main MySQL++ header file.

This file brings in all MySQL++ headers except for custom*.h, which is a strictly optional feature of MySQL++.

There is no point in trying to optimize which headers you include, because every MySQL++ program needs query.h, and that includes all the other headers indirectly, except for custom*.h and compare.h. (query.h doesn't bring in compare.h because it's not used within the library anywhere; its facilities are only for end-user programs.) The only possible optimization is to include query.h instead of mysql++.h, and this results only in trivial compile time reductions at the expense of code clarity.